import request from "@/utils/request";

// 后台查询交易圈列表
export function getCircleList(data) {
  return request({
    url: "/admin/group/info/list",
    method: "post",
    data
  });
}

// 后台保存交易圈
export function saveCircle(data) {
  return request({
    url: "/admin/group/info/save",
    method: "post",
    data
  });
}

// 后台更新交易圈
export function updateCircle(data) {
  return request({
    url: "/admin/group/info/update",
    method: "post",
    data
  });
}

// 后台更新交易圈状态
export function updateCircleStatus(data) {
  return request({
    url: "/admin/group/info/updateStatus",
    method: "post",
    data
  });
}

// 后台查询交易圈详情
export function getCircleDetail(data) {
  return request({
    url: "/admin/group/info/get",
    method: "post",
    data
  });
}

// 设置互动状态
export function setInteractiveStatus(data) {
  return request({
    url: "/admin/group/message/setInteractiveStatus",
    method: "post",
    data
  });
}

// 设置私聊状态
export function setPrivateStatus(data) {
  return request({
    url: "/admin/group/message/setPrivateStatus",
    method: "post",
    data
  });
}

// 设置显示圈子人数
export function setShowMemberCount(data) {
  return request({
    url: "/admin/group/message/setShowMemberCount",
    method: "post",
    data
  });
}

// 后台更新互动消息状态
export function updateMessageStatus(data) {
  return request({
    url: "/admin/group/message/updateStatus",
    method: "post",
    data
  });
}

// 设置显示昵称
export function setShowNickName(data) {
  return request({
    url: "/admin/group/message/setShowNickName",
    method: "post",
    data
  });
}

// 设置先审后发
export function setFirstAudit(data) {
  return request({
    url: "/admin/group/message/setFirstAudit",
    method: "post",
    data
  });
}

// 后台获取互动消息
export function getMessageList(data) {
  return request({
    url: "/admin/group/message/getMessageList",
    method: "post",
    data
  });
}

// 后台发送互动消息
export function sendAdvisorMessage(data) {
  return request({
    url: "/admin/group/message/sendAdvisorMessage",
    method: "post",
    data
  });
}

// 后台获取私聊列表
export function getPrivateChatList(data) {
  return request({
    url: "/admin/group/message/getPrivateChatList",
    method: "post",
    data
  });
}

// 后台设置消息精选
export function setMessageRecommend(data) {
  return request({
    url: "/admin/group/message/setMessageRecommend",
    method: "post",
    data
  });
}

// 后台设置交易圈公告
export function setNotice(data) {
  return request({
    url: "/admin/group/info/setNotice",
    method: "post",
    data
  });
}

// 后台查询交易圈统计
export function getCircleStatistics(data) {
  return request({
    url: "/admin/group/collect/query",
    method: "post",
    data
  });
}

// 后台查询交易圈当日统计
export function getCurrentDayCircleData(data) {
  return request({
    url: "/admin/group/collect/queryToday",
    method: "post",
    data
  });
}

// 后台查询学院列表
export function getListCustomer(data) {
  return request({
    url: "/admin/group/college/listCustomer",
    method: "post",
    data
  });
}

// 设置首页参数
export function setMainPageParam(data) {
  return request({
    url: "/admin/group/info/setMainPageParam",
    method: "post",
    data
  });
}

// 后台获取用户列表
export function getCustomerList(data) {
  return request({
    url: "/admin/group/message/getCustomerList",
    method: "post",
    data
  });
}
